<template>
  <div class="order-card-item" :class="{ danger }">
    <div
      class="order-card-item-label"
      :style="{ width: Taro.pxTransform(labelWidth), textAlign: textAlign }"
    >
      <slot name="label">{{ label }}</slot>
    </div>
    <div class="order-card-item-value">
      <slot name="value">{{ value }}</slot>
    </div>
  </div>
</template>

<script setup lang="ts">
import Taro from '@tarojs/taro';

defineOptions({
  name: 'OrderCardItem',
});

type Props = {
  label: string;
  value: any;
  labelWidth?: any;
  textAlign?: any;
  danger?: boolean;
};

const props = withDefaults(defineProps<Props>(), {
  labelWidth: 140,
  textAlign: 'left',
});
</script>

<style lang="scss"></style>
